USE [COWS]
GO

/****** Object:  Table [dbo].[MAP_PRF_TASK]    Script Date: 06/20/2019 00:43:10 ******/
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK01_MAP_PRF_TASK]') AND parent_object_id = OBJECT_ID(N'[dbo].[MAP_PRF_TASK]'))
ALTER TABLE [dbo].[MAP_PRF_TASK] DROP CONSTRAINT [FK01_MAP_PRF_TASK]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK02_MAP_PRF_TASK]') AND parent_object_id = OBJECT_ID(N'[dbo].[MAP_PRF_TASK]'))
ALTER TABLE [dbo].[MAP_PRF_TASK] DROP CONSTRAINT [FK02_MAP_PRF_TASK]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK03_MAP_PRF_TASK]') AND parent_object_id = OBJECT_ID(N'[dbo].[MAP_PRF_TASK]'))
ALTER TABLE [dbo].[MAP_PRF_TASK] DROP CONSTRAINT [FK03_MAP_PRF_TASK]
GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF_getdate_10809243231]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[MAP_PRF_TASK] DROP CONSTRAINT [DF_getdate_10809243231]
END
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF_getdate_10973753981]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[MAP_PRF_TASK] DROP CONSTRAINT [DF_getdate_10973753981]
END
GO

USE [COWS]
GO

/****** Object:  Table [dbo].[FSA_IP_ADR]    Script Date: 06/20/2019 00:56:41 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MAP_PRF_TASK]') AND type in (N'U'))
DROP TABLE [dbo].[MAP_PRF_TASK]
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[MAP_PRF_TASK](
	[MAP_PRF_TASK_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[TASK_ID] [smallint] NOT NULL,
	[PRNT_PRF_ID] [smallint] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[MODFD_DT] [smalldatetime] NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
 CONSTRAINT [PK_MAP_PRF_TASK] PRIMARY KEY CLUSTERED 
(
	[MAP_PRF_TASK_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [UX02_MAP_PRF_TASK] UNIQUE NONCLUSTERED 
(
	[TASK_ID] ASC,
	[PRNT_PRF_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[MAP_PRF_TASK]  WITH NOCHECK ADD  CONSTRAINT [FK01_MAP_PRF_TASK] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[MAP_PRF_TASK] CHECK CONSTRAINT [FK01_MAP_PRF_TASK]
GO

ALTER TABLE [dbo].[MAP_PRF_TASK]  WITH NOCHECK ADD  CONSTRAINT [FK02_MAP_PRF_TASK] FOREIGN KEY([TASK_ID])
REFERENCES [dbo].[LK_TASK] ([TASK_ID])
GO

ALTER TABLE [dbo].[MAP_PRF_TASK] CHECK CONSTRAINT [FK02_MAP_PRF_TASK]
GO

ALTER TABLE [dbo].[MAP_PRF_TASK]  WITH NOCHECK ADD  CONSTRAINT [FK03_MAP_PRF_TASK] FOREIGN KEY([PRNT_PRF_ID])
REFERENCES [dbo].[LK_USR_PRF] ([USR_PRF_ID])
GO

ALTER TABLE [dbo].[MAP_PRF_TASK] CHECK CONSTRAINT [FK03_MAP_PRF_TASK]
GO

ALTER TABLE [dbo].[MAP_PRF_TASK] ADD  CONSTRAINT [DF_getdate_10809243231]  DEFAULT (getdate()) FOR [MODFD_DT]
GO

ALTER TABLE [dbo].[MAP_PRF_TASK] ADD  CONSTRAINT [DF_getdate_10973753981]  DEFAULT (getdate()) FOR [CREAT_DT]
GO


